Assignee: Jean-Philippe Lang % Done: 0%
Target version: 252

Resolution: Fixed Affected version: 251
Description

Since our update to 2.5.1 the custom fields with type "boolean” have three possible values. true, false and empty. Bool should have
only true and false as it was before.

Also when we set the custom field to show as checkboxes, it shows up as radio buttons.

Related issues:
Related to Redmine - Patch #17392: Japanese translation update (r13217) Closed
Related to Redmine - Defect #16476: Custom checkbox visibility formating Closed

Associated revisions

Revision 13216 - 2014-07-05 11:59 - Jean-Philippe Lang

Option to render boolean custom fields as a single check box or radio buttons (#17003).

Revision 13217 - 2014-07-05 12:00 - Jean-Philippe Lang
Adds translation string (#17003).

Revision 13220 - 2014-07-06 05:57 - Toshi MARUYAMA
Japanese translation updated by Go MAEDA (#17392, #17003)

Revision 13222 - 2014-07-06 12:29 - Jean-Philippe Lang
Merged r13216, r13217 (#17003).

Revision 13223 - 2014-07-06 12:29 - Jean-Philippe Lang
Merged r13220 (#17392, #17003).

History

#1 - 2014-06-09 02:20 - Go MAEDA

+1

#2 - 2014-06-20 16:25 - Marc D.

+1

#3 - 2014-06-22 09:53 - Toshi MARUYAMA

- Target version set to 2.5.2

#4 - 2014-06-26 22:06 - Jean-Philippe Lang

Edit the custom field and mark it as required. Then you won't have to "empty" option.
Still, the custom field will be displayed with 2 radio buttons, do you think that a checkbox is better?

#5 - 2014-06-27 02:20 - Go MAEDA

Jean-Philippe Lang wrote:

Edit the custom field and mark it as required. Then you won't have to "empty" option.
Thank you for letting me know how to turn "empty" option off.

Still, the custom field will be displayed with 2 radio buttons, do you think that a checkbox is better?

e Radio buttons requires more spaces on the screen than check boxes.
e |t is hard for me to imagine a situation in need of "empty" option for boolean and | am afraid that three values for boolean is quite confusing.

#6 - 2014-06-27 09:31 - Michael Esemplare

Who says checkboxes can only have two states :D

| find that displaying radio buttons after choosing checkboxes is a bit misleading. You could provide both options.
Some people might see the following better as radio:

Did you find this helpful? [ ] Yes [ ] No [ ] N/A

Versus

[ 1 Did you find this helpful?

#7 - 2014-06-30 16:09 - Marc D.

| agree with GO Maeda.
When the type is "checkbox" it should be a checkbox, but for other cases or preferences you could add radio buttons a additonal displayoption.

#8 - 2014-07-05 12:01 - Jean-Philippe Lang
- Status changed from New to Resolved
- Assignee set to Jean-Philippe Lang

- Resolution set to Fixed

Fixed in r13216, you are now able to choose between a single checkbox or radio buttons.

#9 - 2014-07-06 05:47 - Toshi MARUYAMA
- Related to Patch #17392: Japanese translation update (r13217) added

#10 - 2014-07-06 06:17 - Go MAEDA

Confirmed that checkbox became available again. Thanks a lot!

#11 - 2014-07-06 12:30 - Jean-Philippe Lang

- Status changed from Resolved to Closed

Merged, thanks for your feedback.

#12 - 2014-07-06 12:30 - Jean-Philippe Lang

- Subject changed from Bool custom field may also be empty + checkbox shows as radio buttons to Option to display bool custom fields as a single

checkbox

#13 - 2014-08-06 09:53 - Toshi MARUYAMA
- Related to Defect #16476: Custom checkbox visibility formating added
